#pragma once
#include "IPlayer.h"

namespace TicTacToe
{
    public enum class GameResult
    {
        Active,
        Knot,
        Cross,
        Tied
    };

    public ref class GameProcessor sealed
    {
    public:
        static GameResult CheckEndOfGame(Windows::Foundation::Collections::IVector<wchar_t>^ gameBoard, wchar_t empty, wchar_t knot, wchar_t cross, Windows::Foundation::Collections::IVector<uint32>^ winningPath);
    };
}