#pragma once

namespace TicTacToe
{
    public enum class PlayerType
    {
        Human,
        Computer,
        None
    };

    public interface class IPlayer
    {
        property PlayerType Player
        {
            PlayerType get();
        }

        property Platform::String^ Symbol
        {
            Platform::String^ get();
        }

        virtual Windows::Foundation::IAsyncOperationWithProgress<int32, int32>^ ThinkAsync(Windows::Foundation::Collections::IVector<wchar_t>^ gameBoard, wchar_t empty, wchar_t knot, wchar_t cross);
    };
}