﻿#pragma once
#include "IPlayer.h"

namespace TicTacToe
{
    public ref class HumanPlayer sealed : public IPlayer
    {
    public:
        HumanPlayer(Platform::String^ symbol);

        virtual property PlayerType Player
        {
            PlayerType get()
            {
                return m_playerType;
            }
        }

        virtual property Platform::String^ Symbol
        {
            Platform::String^ get()
            {
                return m_symbol;
            }
        }

        virtual Windows::Foundation::IAsyncOperationWithProgress<int32, int32>^ ThinkAsync(Windows::Foundation::Collections::IVector<wchar_t>^ gameBoard, wchar_t empty, wchar_t knot, wchar_t cross);

    private:
        PlayerType m_playerType;
        Platform::String^ m_symbol;
    };
}