﻿#pragma once
#include "IPlayer.h"

namespace TicTacToeLibrary
{
    ref class HumanPlayer sealed : public IPlayer
    {
    public:
        HumanPlayer(wchar_t symbol);

        virtual property PlayerType Player
        {
            PlayerType get()
            {
                return m_playerType;
            }
        }

        virtual property wchar_t Symbol
        {
            wchar_t get()
            {
                return m_symbol;
            }
        }

        virtual Windows::Foundation::IAsyncOperationWithProgress<uint32, double>^ ThinkAsync(Windows::Foundation::Collections::IVector<wchar_t>^ gameBoard);

    private:
        PlayerType m_playerType;
        wchar_t m_symbol;
    };
}