#pragma once

namespace TicTacToeLibrary
{
    private enum class PlayerType
    {
        Human,
        Computer,
        None
    };

    private interface class IPlayer
    {
        property PlayerType Player
        {
            PlayerType get();
        }

        property wchar_t Symbol
        {
            wchar_t get();
        }

        virtual Windows::Foundation::IAsyncOperationWithProgress<uint32, double>^ ThinkAsync(Windows::Foundation::Collections::IVector<wchar_t>^ gameBoard);
    };
}